Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Interface X509AttributeIdentifiers

public interface X509AttributeIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `id_aca`
`static ASN1ObjectIdentifier` | `id_aca_accessIdentity`
`static ASN1ObjectIdentifier` | `id_aca_authenticationInfo`
`static ASN1ObjectIdentifier` | `id_aca_chargingIdentity`
`static ASN1ObjectIdentifier` | `id_aca_encAttrs`
`static ASN1ObjectIdentifier` | `id_aca_group`
`static ASN1ObjectIdentifier` | `id_at_clearance`
`static ASN1ObjectIdentifier` | `id_at_privateKeyStatement` Deprecated. use statementOfPossession
`static ASN1ObjectIdentifier` | `id_at_role`
`static ASN1ObjectIdentifier` | `id_at_statementOfPossession`
`static ASN1ObjectIdentifier` | `id_ce_targetInformation`
`static ASN1ObjectIdentifier` | `id_pe_aaControls`
`static ASN1ObjectIdentifier` | `id_pe_ac_auditIdentity`
`static ASN1ObjectIdentifier` | `id_pe_ac_proxying`
`static ASN1ObjectIdentifier` | `RoleSyntax` Deprecated. use id_at_role

Field Detail

### RoleSyntax

    public static final ASN1ObjectIdentifier RoleSyntax

  Deprecated. use id_at_role

### id_pe_ac_auditIdentity

    public static final ASN1ObjectIdentifier id_pe_ac_auditIdentity

### id_pe_aaControls

    public static final ASN1ObjectIdentifier id_pe_aaControls

### id_pe_ac_proxying

    public static final ASN1ObjectIdentifier id_pe_ac_proxying

### id_ce_targetInformation

    public static final ASN1ObjectIdentifier id_ce_targetInformation

### id_aca

    public static final ASN1ObjectIdentifier id_aca

### id_aca_authenticationInfo

    public static final ASN1ObjectIdentifier id_aca_authenticationInfo

### id_aca_accessIdentity

    public static final ASN1ObjectIdentifier id_aca_accessIdentity

### id_aca_chargingIdentity

    public static final ASN1ObjectIdentifier id_aca_chargingIdentity

### id_aca_group

    public static final ASN1ObjectIdentifier id_aca_group

### id_aca_encAttrs

    public static final ASN1ObjectIdentifier id_aca_encAttrs

### id_at_role

    public static final ASN1ObjectIdentifier id_at_role

### id_at_clearance

    public static final ASN1ObjectIdentifier id_at_clearance

### id_at_privateKeyStatement

    public static final ASN1ObjectIdentifier id_at_privateKeyStatement

  Deprecated. use statementOfPossession

### id_at_statementOfPossession

    public static final ASN1ObjectIdentifier id_at_statementOfPossession

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD